function get_b1u_qcqa,infile,nchan,ny
if n_elements(infile) eq 0 then return,-1
file=infile

f=strsplit(file,'.',/extr)
nf=n_elements(f) 
if (f(nf-1) eq 'gz') then file=strjoin(f(0:nf-2),'.')

qcfile=file+'.QCQA'

if not(file_test(qcfile)) then begin
    if n_elements(ny) eq 0 then begin
        return,0
    endif else begin
        qc=lonarr(nchan,ny)
        qc(*) = 0
        return,qc
    endelse
endif else begin
    a0=0l
    a1=0l
    a2=0l
    openr,1,qcfile
    readu,1,a0,a1,a2
    qc=lonarr(a0,a1)
    readu,1,qc
    close,1
    return,qc
endelse
 
end
