#!/bin/bash
#****x* /gridsat.make_cdr_tarballs.sh
# NAME
#  gridsat.make_cdr_tarballs.sh
# PURPOSE
# USAGE
# INPUT
# OUTPUT
# RESULT
# EXAMPLE
# USES
# USED BY
# NOTES
# TODO
# BUGS
# AUTHOR
# Ken Knapp, NOAA/NCDC/RSAD
# CREATION DATE
# Fri Sep  3 11:17:25 EDT 2010
# HISTORY
#***

cd /home/kknapp/datasan/gridsat-irwin

leader=GridSat-B1
version=v01r01

for year in `seq 1980 2009`
do
  for month in 01 02 03 04 05 06 07 08 09 10 11 12
  do
    echo $year.$month
    time tar cf monthly/$leader.$year.$month.$version.irwin.tar \
	$year/$leader.$year.$month.*.nc
  done
done
