;****I* idl/idl.blank
; NAME
; blank
; 
; PURPOSE
; To wipe a device clean by "tv"ing a constant field.
; 
; USAGE
; INPUT
; OUTPUT
; RESULT
; EXAMPLE
; USES
; * Nothing.
; 
; USED BY
; * b1read_cma_fy2.pro
; * cal_b1u_correct.pro
; 
; NOTES
; TODO
; BUGS
; AUTHOR
; Ken Knapp, NOAA/NCDC/RSAD
; 
; CREATION DATE
; ???
; HISTORY
; SOURCE

pro blank,in
xx = !d.x_size
yy = !d.y_size
f=intarr(xx,yy)
f(*) = 255
if (n_elements(in) eq 1) then f(*) = in
tv,f
f=0
end
;***
