;****I* idl/idl.circle
; NAME
; circle
; 
; PURPOSE
; To define a user symbol as a circle.
; 
; USAGE
; INPUT
; OUTPUT
; RESULT
; EXAMPLE
; USES
; * nothing.
; 
; USED BY
; * cal_b1u_correct.pro
; 
; NOTES
; TODO
; BUGS
; AUTHOR
; Ken Knapp, NOAA/NCDC/RSAD
; CREATION DATE
; Thu Dec  3 16:17:05 EST 2009
; HISTORY
; SOURCE

pro circle,fill=fill,x=x,y=y,usersym=usersym
x=findgen(37)*10.*!pi/180.
usersym,cos(x),sin(x),fill=fill
y=sin(x)
x=cos(x)
usersym=transpose([[x],[y]])
end
;***
