;****I* idl/idl.cl
; NAME
; cl
; 
; PURPOSE
; This is shorthand for closing all open logical units.
; 
; USAGE
; Usually placed at the start of a routine to ensure all units are
; closed.
; 
; INPUT
; OUTPUT
; RESULT
; EXAMPLE
; USES
; Nothing.
; 
; USED BY
; Many IDL procedures that include:
; * cal_b1u_correct.pro
;
; NOTES
; TODO
; BUGS
; AUTHOR
; Ken Knapp, NOAA/NCDC/RSAD
; 
; CREATION DATE
; Unknown
; 
; HISTORY
; Jun2010 - Added header
; 
; SOURCE

PRO CL
CLOSE,/ALL
END
;***
