;****I* idl/idl.elcomm
; NAME
; elcomm
; 
; PURPOSE
; To allow common blocks for navigation routines
; 
; USAGE
; 
; @elcomm.pro
;
; This inserts the statements herein into the files.
; 
; INPUT
; OUTPUT
; RESULT
; EXAMPLE
; See files in "USED BY"
; 
; USES
; Nothing
; 
; USED BY
; * b1u_imc.pro
; * gpoint.pro
; * lmodel.pro
; * lpoint.pro
; * setcon.pro
; 
; NOTES
; TODO
; BUGS
; AUTHOR
; Ken Knapp, NOAA/NCDC/RSAD
; 
; CREATION DATE
; Unknown
; 
; HISTORY
; * Jun2010 - Added header
; 
; SOURCE

;xs = dblarr(3)
;bt = dblarr(3,3)
;q3 = 0.d0
;pitch = 0.d0
;roll = 0.d0
;yaw = 0.d0
;pma = 0.d0
;rma = 0.d0
common elcomm, XS,BT,Q3,PITCH,ROLL,YAW,PMA,RMA

;***
