;****I* idl/idl.gatt
; NAME
; idl.gatt
; 
; PURPOSE
; Calculations for GVAR/IMC navigation
; 
; USAGE
; INPUT
; OUTPUT
; RESULT
; EXAMPLE
; USES
; * Nothing.
; 
; USED BY
; * b1u_imc.pro
; 
; NOTES
; TODO
; BUGS
; AUTHOR
; 
; CREATION DATE
; 
; HISTORY
; SOURCE

function gatt,k0,rec,wa,te

;constant component
k = k0-1
att = rec(k+2)
;compute the exponential terms
if (te ge 0.0d0 and rec(k+1) gt 0) then begin
    att = att + rec(k)*exp(-te/rec(k+1))
endif

;extract # of sinusoids
ir = rec(k+3)
i = fix(ir)

;calculate sinusoids

for l=1,i do begin
    att = att + rec(k+2*l+2)*cos(wa*l+rec(K+2*L+3))
endfor
;pointer to the number of monomial sinusoids
k=k+34

;exact number of monomial sinusoids
ir=rec(k)
i=fix(ir)

;compute monomial sinusoids
;
; PROBLEM: This routine uses EQUIVALENCE FOR J==JR and M==MR
;
for l=1,i do begin
    ll=k+5*l
    ;order of sinusoid
    jr=rec(ll-4)
    ;order of monomial sinusoid
    mr = rec(ll-3)
    att = att + rec(ll-2) * ((wa*rec(ll))**M) * cos(j*wa+rec(ll-1))
    print,'mr,m',mr,m
endfor
return,att
end

;***
