;****I* idl/idl.mean
; NAME
; mean
; 
; PURPOSE
; To claculate the arithmatic mean of a set of numbers.
; 
; USAGE
; INPUT
; an array of values (any type)
; 
; OUTPUT
; The mean ofthe array
; If nothing is passed, then -1 is returned.
; 
; RESULT
; 
; EXAMPLE
; USES
; * nothing
; USED BY
; Many routines use this short function, including:
; * navcheck.pro
; * cma_bestfit.pro
; * jma_bestfit.pro
; * b1u_coastline_navigation.pro
; 
; NOTES
; TODO
; BUGS
; AUTHOR
; Ken Knapp, NOAA/NCDC/RSAD
; 
; CREATION DATE
; ??
; HISTORY
; Jul 2010 - KRK - Added robodoc header.
; 
; SOURCE

function mean,ARRAY
; returns mean of the array ARRAY
if (n_elements(array) ne 0) then $
  mean = total(ARRAY)/N_elements(array)else $
  mean = -1.
return,mean
end
;***
